Page MenuHomePhabricator

Define new builder_netbsd
ClosedPublic

Authored by krytarowski on Nov 29 2015, 6:17 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski retitled this revision from to Define new builder_netbsd.
krytarowski updated this object.
krytarowski added reviewers: emaste, tfiala.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added subscribers: joerg, lldb-commits.

This doesn't look substantially different than builder_freebsd. Assuming
there is no practical difference, how about just using that for both
freebsd and netbsd?

This doesn't look substantially different than builder_freebsd. Assuming
there is no practical difference, how about just using that for both
freebsd and netbsd?

The linux2, win32 and freebsd targets have the files with the same content. I dislike the idea to share it only between FreeBSD and NetBSD.

Ok, if there's already precedent for duplicating the files then go ahead
and follow the pattern. Although I'm not sure I'm crazy about duplicating
files on the off chance that something might be different someday.

In any case, lgtm.

tfiala accepted this revision.Dec 3 2015, 10:20 PM
tfiala edited edge metadata.

I'm not sure exactly how these were divided up initially, but I'd suspect a substantial amount of it is similar along the vein of POSIX vs. non-POSIX, probably with some diffs for OS X supporting frameworks, dsyms, etc. More than likely this fracturing happened because it was first just OS X, then some combo of FreeBSD and Linux.

I'd be okay with this as is for now, but we should probably file a bugzilla to go back and see if at least the Linux, FreeBSD and NetBSD ones can be combined (and perhaps even OS X). But I'd need to spend some time looking, which I haven't done here.

This revision is now accepted and ready to land.Dec 3 2015, 10:20 PM
clayborg accepted this revision.Dec 4 2015, 9:45 AM
clayborg edited edge metadata.
This revision was automatically updated to reflect the committed changes.